%include	/usr/lib/rpm/macros.perl
Summary:	Ruleset for Prelude LML pcre plugin
Summary(pl.UTF-8):	Zestaw reguł dla wtyczki pcre Prelude LML
Name:		prelude-lml-rules
Version:	4.1.0
Release:	1
License:	GPL v2+
Group:		Applications/Networking
#Source0Download: https://www.prelude-siem.org/projects/prelude/files
Source0:	https://www.prelude-siem.org/attachments/download/835/%{name}-%{version}.tar.gz
# Source0-md5:	d7bb20d94f84821761ad73da712113f0
URL:		https://www.prelude-siem.org/
BuildRequires:	rpm-perlprov
BuildRequires:	sed >= 4.0
Requires:	prelude-lml >= %{version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ruleset for Prelude LML pcre plugin (<https://www.prelude-siem.org/>).
These rules are brought to you by CS and the Prelude Community.

%description -l pl.UTF-8
Zestaw reguł dla wtyczki pcre systemu Prelude LML
(<https://www.prelude-siem.org/>). Zostały udostępnione przez CS oraz
Społeczność Prelude.

%prep
%setup -q

%{__sed} -i -e '1s,/usr/bin/env perl,%{__perl},' src/prelude-lml-rules-check

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/prelude-lml,%{_bindir}}

cp -r ruleset $RPM_BUILD_ROOT%{_sysconfdir}/prelude-lml
cp -p src/prelude-lml-rules-check $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/prelude-lml-rules-check
%{_sysconfdir}/prelude-lml/ruleset
%changelog
* Tue Nov 20 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/prelude-lml-rules.git;a=log;h=master

* Thu Aug 30 2018 Jakub Bogusz <qboosh@pld-linux.org> 925cb83
- updated to 4.1.0

* Sun Oct 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 62673e8
- noarch

* Sun Oct 16 2016 Jakub Bogusz <qboosh@pld-linux.org> a1bb2e7
- initial

